Subject: Re: bug#11612: 24.1; Defaults create warning on startup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jun 2016 17:18:53 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 25 Jun 2016 09:42:31 -0400
> Cc: [email-masked], yary <[email-masked]>, 
> 	Juanma Barranquero <[email-masked]>, Michael <[email-masked]>, Jason Rumney <[email-masked]>
> 
> > FWIW, repeating the OP's recipe, Emacs now starts with a split-window
> > configuration, with the selected window showing the *scratch* buffer,
> > and the *Warnings* buffer displaying the above-mentioned warning.  So
> > I'm not sure the original complaint is still valid.
> 
> I think the complaint is more about the wording of the message and
> less about the buffer/window configuration. So I propose rewording it
> to
> 
>     Use of `C:\.emacs' to define `HOME' is deprecated, see (emacs)
> `Windows Home'

I don't think this is significantly more clear than the current text.
"Use of `C:\.emacs' to define `HOME'" is only understandable by people
who know how Emacs on Windows defines HOME when it is not defined in
the environment.  If we want to come up with a better text, let's make
it very clear.

How about this text instead:

  Use of `C:\.emacs' without defining `HOME' in the environment is deprecated, see `Windows Home' in the Emacs manual.